Skip to content
API reference

Viewings

Site visits and their feedback.

GET/viewings

List viewings

Needs the permission viewings:read.

ParameterInTypeNotes
limitqueryintegerat least 1. up to 200. default 50
cursorquerystringup to 512 characters
propertyIdquerystring (uuid)
projectIdquerystring (uuid)
leadIdquerystring (uuid)
statusqueryone of scheduled, confirmed, completed, cancelled, no_show
fromquerystring (date-time)
toquerystring (date-time)
curl -X GET https://crm.anibrosdesign.com/api/v1/viewings \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 429

POST/viewings

Create a viewing

Needs the permission viewings:create.

ParameterInTypeNotes
Idempotency-KeyheaderstringAny unique string up to 128 characters. Repeating the request with the same key returns the first response. up to 128 characters
Body fieldTypeNotes
leadId requiredstring (uuid)
propertyIdstring (uuid) or null
projectIdstring (uuid) or null
unitIdslist of string (uuid)up to 30 items
scheduledAt requiredstring (date-time)
durationMinutesintegerat least 5. up to 480. default 30
notesstring or null
agentIdstring (uuid) or null
curl -X POST https://crm.anibrosdesign.com/api/v1/viewings \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"leadId":"01a15d23-0000-7000-8000-000000000000","propertyId":"01a15d23-0000-7000-8000-000000000000","projectId":"01a15d23-0000-7000-8000-000000000000","scheduledAt":"2026-10-24T10:00:00Z"}'

Responses: 201 400 401 402 403 429

GET/viewings/outcomes

Get outcomes (viewings)

Needs the permission viewings:read.

curl -X GET https://crm.anibrosdesign.com/api/v1/viewings/outcomes \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 403 429

GET/viewings/vocab

Get vocab (viewings)

Needs the permission viewings:read.

curl -X GET https://crm.anibrosdesign.com/api/v1/viewings/vocab \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 403 429

GET/viewings/{id}

Get a viewing

Needs the permission viewings:read.

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X GET https://crm.anibrosdesign.com/api/v1/viewings/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 404 429

PATCH/viewings/{id}

Change a viewing

Needs the permission viewings:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
Body fieldTypeNotes
scheduledAtstring (date-time)
durationMinutesintegerat least 5. up to 480
notesstring or null
agentIdstring (uuid) or null
curl -X PATCH https://crm.anibrosdesign.com/api/v1/viewings/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"scheduledAt":"2026-10-24T10:00:00Z","durationMinutes":5,"notes":"text"}'

Responses: 200 400 401 402 403 404 412 429

POST/viewings/{id}/cancel

Cancel (viewings)

Needs the permission viewings:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
Body fieldTypeNotes
reasonstring or null
curl -X POST https://crm.anibrosdesign.com/api/v1/viewings/{id}/cancel \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"reason":"text"}'

Responses: 200 400 401 402 403 404 429

POST/viewings/{id}/complete

Complete (viewings)

Needs the permission viewings:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
Body fieldTypeNotes
outcome requiredone of interested, offer_expected, considering, wants_other_options, different_area, not_interested
notestring or null
followUpobject or null
followUp.dueAt requiredstring (date-time)
followUp.titlestring or null
feedbackobject
feedback.priceFeelone of good, fair, too_high or null
feedback.interestLevelinteger or null
feedback.likeslist of stringup to 12 items
feedback.concernslist of stringup to 12 items
feedback.budgetSaidnumber or null
unitslist of objectup to 40 items
units[].propertyId requiredstring (uuid)
units[].reactionone of liked, okay, disliked or null
units[].notestring or null
areasobject
areas.wantslist of stringup to 12 items
areas.dislikesProjectAreaboolean
curl -X POST https://crm.anibrosdesign.com/api/v1/viewings/{id}/complete \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"outcome":"interested","note":"text","followUp":{"dueAt":"2026-10-24T10:00:00Z","title":"text"}}'

Responses: 200 400 401 402 403 404 429

GET/viewings/{id}/ics

Get ics (viewings)

Needs the permission viewings:read.

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X GET https://crm.anibrosdesign.com/api/v1/viewings/{id}/ics \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 404 429

POST/viewings/{id}/no-show

No show (viewings)

Needs the permission viewings:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
Body fieldTypeNotes
notestring or null
curl -X POST https://crm.anibrosdesign.com/api/v1/viewings/{id}/no-show \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"note":"text"}'

Responses: 200 400 401 402 403 404 429

Something missing or unclear? Tell us.

Chat on WhatsApp